> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get UTXOs for multiple Cardano payment credentials in a single batch request for efficient querying.

# UTxOs by multiple payment credentials



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json post /addresses/cred/utxos
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /addresses/cred/utxos:
    post:
      tags:
        - Addresses
      summary: UTxOs by multiple payment credentials
      description: >-
        Return detailed information on UTxOs which are controlled by some
        payment credential in a list of payment credentials. No more than 100
        payment credentials can be provided.
      operationId: utxos_by_payment_creds
      parameters:
        - name: resolve_datums
          in: query
          description: Try find and include the corresponding datums for datum hashes
          required: false
          schema:
            type: boolean
            nullable: true
        - name: with_cbor
          in: query
          description: >-
            Include the CBOR encodings of the transaction outputs in the
            response
          required: false
          schema:
            type: boolean
            nullable: true
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
            example:
              - addr_vkh1wdkle2sprqsuklt34474g6n4ps7k6pv6zwe4644uxmg7xj54y87
              - >-
                addr_shared_vkh1ewj7sycvy5y234m3uhudn5dggqk3djr0jheacr3utna5gcnmwp2
        required: true
      responses:
        '200':
          description: Unspent transaction outputs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedUtxoWithSlot'
              example:
                data:
                  - tx_hash: >-
                      a7e1f137a1d4befa15128286fd08dad67aebe2c11995aa2c04cc48159ccef082
                    index: 0
                    slot: 55718892
                    assets:
                      - unit: lovelace
                        amount: 1724100
                      - unit: >-
                          29760f3fb40b3670144594df635e5bb5d144a1173bff0d96fcad155c43727970746f426173686f2330303037
                        amount: 1
                    address: addr1w896t6qnpsjs32xhw8jl3kw34pqz69kgd72l8hqw83w0k3qahx2sv
                    datum:
                      type: hash
                      hash: >-
                        950c3e20ab32ba38c75cac5b1a7451800e514326a953c64e2dced7b4772ffcbe
                      bytes: null
                      json: null
                    reference_script: null
                    txout_cbor: null
                  - tx_hash: >-
                      257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                    index: 1
                    slot: 55718892
                    assets:
                      - unit: lovelace
                        amount: 1444443
                      - unit: >-
                          f0ff48bbb7bbe9d59a40f1ce90e9e9d0ff5002ec48f232b49ca0fb9a6164616d616e74
                        amount: 1
                    address: >-
                      addr1g9ekml92qyvzrjmawxkh64r2w5xr6mg9ngfmxh2khsmdrcudevsft64mf887333adamant
                    datum: null
                    reference_script: null
                    txout_cbor: null
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedUtxoWithSlot:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UtxoWithSlot'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    UtxoWithSlot:
      type: object
      description: Transaction output
      required:
        - tx_hash
        - index
        - slot
        - assets
        - address
      properties:
        address:
          type: string
          description: Address which controls the UTxO
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
          description: List of assets contained in the UTxO
        datum:
          allOf:
            - $ref: '#/components/schemas/DatumOption'
          nullable: true
        index:
          type: integer
          description: UTxO transaction index
          minimum: 0
        reference_script:
          allOf:
            - $ref: '#/components/schemas/Script'
          nullable: true
        slot:
          type: integer
          format: int64
          description: Absolute slot of block which produced the UTxO
          minimum: 0
        tx_hash:
          type: string
          description: UTxO transaction hash
        txout_cbor:
          type: string
          description: Hex encoded transaction output CBOR bytes
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    Asset:
      type: object
      description: Lovelace or native asset
      required:
        - unit
        - amount
      properties:
        amount:
          $ref: '#/components/schemas/NumOrString'
        unit:
          type: string
          description: >-
            Asset (either `lovelace` or concatenation of hex encoded policy ID
            and asset name for native asset)
    DatumOption:
      type: object
      description: Datum (inline or hash)
      required:
        - type
        - hash
      properties:
        bytes:
          type: string
          description: >-
            Hex encoded datum CBOR bytes (`null` if datum type is `hash` and
            corresponding datum bytes have not been seen on-chain)
          nullable: true
        hash:
          type: string
          description: Datum hash
        json:
          type: object
          description: >-
            JSON representation of the datum (`null` if datum type is `hash` and
            corresponding datum bytes have not been seen on-chain)
          nullable: true
        type:
          $ref: '#/components/schemas/DatumOptionType'
    Script:
      type: object
      description: Details of a Native or Plutus script
      required:
        - hash
        - type
        - bytes
      properties:
        bytes:
          type: string
          description: Script bytes
        hash:
          type: string
          description: Script hash
        json:
          type: object
          description: >-
            JSON representation of script (`null` if script not of `native`
            type)
          nullable: true
        type:
          $ref: '#/components/schemas/ScriptType'
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
    DatumOptionType:
      type: string
      description: Datum type (inline datum or datum hash)
      enum:
        - hash
        - inline
    ScriptType:
      type: string
      description: Script type and version
      enum:
        - native
        - plutusv1
        - plutusv2
        - plutusv3
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````